--- old/usr/src/pkg/manifests/system-library-storage-scsi-plugins.mf	2014-04-11 13:24:19.406343579 +0100
+++ new/usr/src/pkg/manifests/system-library-storage-scsi-plugins.mf	2014-04-11 13:24:19.413737944 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/storage/scsi-plugins@$(PKGVERS)
@@ -35,11 +36,14 @@
 dir path=usr/lib/scsi/plugins
 dir path=usr/lib/scsi/plugins/ses
 dir path=usr/lib/scsi/plugins/ses/vendor
-dir path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)
-file path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/LSILOGIC-SASX28-A.0.so
-file path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/SUN-Storage-J4400.so
-file path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/SUN-Storage-J4500.so
-file path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/SUN.so
+$(BUILD64)dir path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)
+$(BUILD64)file \
+    path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/LSILOGIC-SASX28-A.0.so
+$(BUILD64)file \
+    path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/SUN-Storage-J4400.so
+$(BUILD64)file \
+    path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/SUN-Storage-J4500.so
+$(BUILD64)file path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/SUN.so
 file path=usr/lib/scsi/plugins/ses/vendor/LSILOGIC-SASX28-A.0.so
 file path=usr/lib/scsi/plugins/ses/vendor/SUN-Storage-J4400.so
 file path=usr/lib/scsi/plugins/ses/vendor/SUN-Storage-J4500.so
@@ -48,9 +52,11 @@
     name="SCSI/SES plugins"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/LSILOGIC-SASX28-A.1.so \
+$(BUILD64)link \
+    path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/LSILOGIC-SASX28-A.1.so \
     target=LSILOGIC-SASX28-A.0.so
-link path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/SUN-Storage-J4200.so \
+$(BUILD64)link \
+    path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/SUN-Storage-J4200.so \
     target=SUN-Storage-J4400.so
 link path=usr/lib/scsi/plugins/ses/vendor/LSILOGIC-SASX28-A.1.so \
     target=LSILOGIC-SASX28-A.0.so
